From df42a3c8668152e527f5a0582267a80db3559cb3 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 11 May 2020 16:48:55 +0800
Subject: [PATCH 06/16] qmp_command: add qmp 'node-name' expect value for
 blockdev

The disk device qemu command line has two configurations:
   1). blockdev config, eg:
       -blockdev node-name=file_image1,driver=file,filename=/var/**.qcow2
       -blockdev node-name=drive_image1,driver=qcow2,file=file_image1

   2). disk drive config, eg:
       -drive id=drive_image1,if=none,format=qcow2,file=/var/***.qcow2

If disk drive config, the expect value should be:
 {'device': 'drive_image1', 'qdev': 'image1', 'format': 'qcow2'}

If blockdev config, the expect value should be:
 {'node-name': 'drive_image1', 'qdev': 'image1', 'format': 'qcow2'}

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 qemu/tests/qmp_command.py | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/qemu/tests/qmp_command.py b/qemu/tests/qmp_command.py
index 9f351638..18ec1051 100644
--- a/qemu/tests/qmp_command.py
+++ b/qemu/tests/qmp_command.py
@@ -113,6 +113,9 @@ def run(test, params, env):
         elif result_check == "contain":
             for o in expect_o:
                 if isinstance(o, dict):
+                    if 'device' in o and not check_list(qmp_o, 'device', o['device']):
+                        o['node-name'] = o['device']
+                        del o['device']
                     for key, val in o.items():
                         result = check_list(qmp_o, key, val)
                         if not result:
-- 
2.23.0

